[Overview][Classes][Index] | Reference for unit 'AVL_Tree' (#fcl)

# TAVLTreeNodeMemManager.MaximumFreeNodeRatio

Maximum amount of free nodes in the list

## Declaration

Source position: avl_tree.pp line 114

`public property TAVLTreeNodeMemManager.MaximumFreeNodeRatio: Integer read FMaxFreeRatio write SetMaxFreeRatio;`

## Description

MaximumFreeNodeRatio is the maximum amount of free nodes that should be kept in the list: if a node is disposed of, then the ratio of the free nodes versus the total amount of nodes is checked, and if it is less than the MaximumFreeNodeRatio ratio but larger than the minimum amount of free nodes, then the node is disposed of instead of added to the free list.

## See also

TAVLTreeNodeMemManager.Count |  | Number of nodes in the list.
TAVLTreeNodeMemManager.MinimumFreeNode |  | Minimum amount of free nodes to be kept.

The latest version of this document can be found at lazarus-ccr.sourceforge.net .